summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/preload/preload.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/system/preload/preload.SlackBuild b/system/preload/preload.SlackBuild
index 46f1bd035e..657eae8f0e 100644
--- a/system/preload/preload.SlackBuild
+++ b/system/preload/preload.SlackBuild
@@ -75,12 +75,8 @@ make install \
pkgdocdir=/usr/doc/$PRGNAM-$VERSION \
DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# Create the lockfile directory
# We'll use /var/run/preload instead of /var/lock/subsys, so that a stale